View Issue Details

IDProjectCategoryView StatusLast Update
0035018LazarusLCLpublic2019-10-20 19:02
ReporterMarkus MüllerAssigned ToMichl 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWindowsOS7OS Version
Product Version2.0Product Build 
Target Version2.0.2Fixed in Version2.1 (SVN) 
Summary0035018: The builded EXE crashes before the formular is showing
DescriptionThe code is running before the elements are created. Events are fired without a event.
Steps To ReproduceIn FormCreate hide a TPanel
This do fire a event.
Additional InformationIn V1.8.4 the EXE works right
TagsNo tags attached.
Fixed in Revision60340
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0033076 assignedOndrej Pokorny TCheckBox state change does not trigger OnChange event 
related to 0036170 resolvedJuha Manninen When you have multiple toggle boxes and select different ones causes system to lock 

Activities

Markus Müller

2019-02-05 21:27

reporter  

Test_LazV2.0.0.zip (129,365 bytes)

Michl

2019-02-05 22:15

developer   ~0113870

Fixed in trunk revision 60340. Please test and close if ok.

Markus Müller

2019-02-06 00:05

reporter   ~0113872

Thank you very much for the fast fix, Michl.

Issue History

Date Modified Username Field Change
2019-02-05 21:27 Markus Müller New Issue
2019-02-05 21:27 Markus Müller File Added: Test_LazV2.0.0.zip
2019-02-05 22:02 Michl Assigned To => Michl
2019-02-05 22:02 Michl Status new => assigned
2019-02-05 22:03 Michl Relationship added related to 0033076
2019-02-05 22:15 Michl Fixed in Revision => 60340
2019-02-05 22:15 Michl LazTarget => -
2019-02-05 22:15 Michl Note Added: 0113870
2019-02-05 22:15 Michl Status assigned => resolved
2019-02-05 22:15 Michl Fixed in Version => 2.1 (SVN)
2019-02-05 22:15 Michl Resolution open => fixed
2019-02-05 22:15 Michl Target Version => 2.0.2
2019-02-06 00:05 Markus Müller Note Added: 0113872
2019-02-06 00:05 Markus Müller Status resolved => closed
2019-10-20 19:02 Juha Manninen Relationship added related to 0036170